net.minecraftforge.common

## Class ForgeHooks

- java.lang.Object
- - net.minecraftforge.common.ForgeHooks

-     public class ForgeHooks
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeHooks()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static float` | `blockStrength(Block block, EntityPlayer player, World world, int x, int y, int z)`
    `static boolean` | `canHarvestBlock(Block block, EntityPlayer player, int metadata)`
    `static boolean` | `canInteractWith(EntityPlayer player, Container openContainer)`
    `static boolean` | `canToolHarvestBlock(Block block, int metadata, ItemStack stack)`
    `static float` | `getEnchantPower(World world, int x, int y, int z)`
    `static ItemStack` | `getGrassSeed(World world)`
    `static int` | `getTotalArmorValue(EntityPlayer player)`
    `static boolean` | `isLivingOnLadder(Block block, World world, int x, int y, int z, EntityLivingBase entity)`
    `static boolean` | `isToolEffective(ItemStack stack, Block block, int metadata)`
    `static boolean` | `onAnvilChange(ContainerRepair container, ItemStack left, ItemStack right, IInventory outputSlot, java.lang.String name, int baseCost)`
    `static BlockEvent.BreakEvent` | `onBlockBreakEvent(World world, WorldSettings.GameType gameType, EntityPlayerMP entityPlayer, int x, int y, int z)`
    `static boolean` | `onLivingAttack(EntityLivingBase entity, DamageSource src, float amount)`
    `static boolean` | `onLivingDeath(EntityLivingBase entity, DamageSource src)`
    `static boolean` | `onLivingDrops(EntityLivingBase entity, DamageSource source, java.util.ArrayList<EntityItem> drops, int lootingLevel, boolean recentlyHit, int specialDropValue)`
    `static float` | `onLivingFall(EntityLivingBase entity, float distance)`
    `static float` | `onLivingHurt(EntityLivingBase entity, DamageSource src, float amount)`
    `static void` | `onLivingJump(EntityLivingBase entity)`
    `static void` | `onLivingSetAttackTarget(EntityLivingBase entity, EntityLivingBase target)`
    `static boolean` | `onLivingUpdate(EntityLivingBase entity)`
    `static boolean` | `onNoteChange(TileEntityNote te, byte old)`
    `static boolean` | `onPickBlock(MovingObjectPosition target, EntityPlayer player, World world)` Called when a player uses 'pick block', calls new Entity and Block hooks.
    `static EntityItem` | `onPlayerTossEvent(EntityPlayer player, ItemStack item, boolean includeName)`
    `static ChatComponentTranslation` | `onServerChatEvent(NetHandlerPlayServer net, java.lang.String raw, ChatComponentTranslation comp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeHooks

          public ForgeHooks()

  - ### Method Detail

    - #### getGrassSeed

          public static ItemStack getGrassSeed(World world)

    - #### canHarvestBlock

          public static boolean canHarvestBlock(Block block,
                                EntityPlayer player,
                                int metadata)

    - #### canToolHarvestBlock

          public static boolean canToolHarvestBlock(Block block,
                                    int metadata,
                                    ItemStack stack)

    - #### blockStrength

          public static float blockStrength(Block block,
                            EntityPlayer player,
                            World world,
                            int x,
                            int y,
                            int z)

    - #### isToolEffective

          public static boolean isToolEffective(ItemStack stack,
                                Block block,
                                int metadata)

    - #### getTotalArmorValue

          public static int getTotalArmorValue(EntityPlayer player)

    - #### onPickBlock

          public static boolean onPickBlock(MovingObjectPosition target,
                            EntityPlayer player,
                            World world)

      Called when a player uses 'pick block', calls new Entity and Block hooks.

    - #### onLivingSetAttackTarget

          public static void onLivingSetAttackTarget(EntityLivingBase entity,
                                     EntityLivingBase target)

    - #### onLivingUpdate

          public static boolean onLivingUpdate(EntityLivingBase entity)

    - #### onLivingAttack

          public static boolean onLivingAttack(EntityLivingBase entity,
                               DamageSource src,
                               float amount)

    - #### onLivingHurt

          public static float onLivingHurt(EntityLivingBase entity,
                           DamageSource src,
                           float amount)

    - #### onLivingDeath

          public static boolean onLivingDeath(EntityLivingBase entity,
                              DamageSource src)

    - #### onLivingDrops

          public static boolean onLivingDrops(EntityLivingBase entity,
                              DamageSource source,
                              java.util.ArrayList<EntityItem> drops,
                              int lootingLevel,
                              boolean recentlyHit,
                              int specialDropValue)

    - #### onLivingFall

          public static float onLivingFall(EntityLivingBase entity,
                           float distance)

    - #### isLivingOnLadder

          public static boolean isLivingOnLadder(Block block,
                                 World world,
                                 int x,
                                 int y,
                                 int z,
                                 EntityLivingBase entity)

    - #### onLivingJump

          public static void onLivingJump(EntityLivingBase entity)

    - #### onPlayerTossEvent

          public static EntityItem onPlayerTossEvent(EntityPlayer player,
                                     ItemStack item,
                                     boolean includeName)

    - #### getEnchantPower

          public static float getEnchantPower(World world,
                              int x,
                              int y,
                              int z)

    - #### onServerChatEvent

          public static ChatComponentTranslation onServerChatEvent(NetHandlerPlayServer net,
                                                   java.lang.String raw,
                                                   ChatComponentTranslation comp)

    - #### canInteractWith

          public static boolean canInteractWith(EntityPlayer player,
                                Container openContainer)

    - #### onBlockBreakEvent

          public static BlockEvent.BreakEvent onBlockBreakEvent(World world,
                                                WorldSettings.GameType gameType,
                                                EntityPlayerMP entityPlayer,
                                                int x,
                                                int y,
                                                int z)

    - #### onAnvilChange

          public static boolean onAnvilChange(ContainerRepair container,
                              ItemStack left,
                              ItemStack right,
                              IInventory outputSlot,
                              java.lang.String name,
                              int baseCost)

    - #### onNoteChange

          public static boolean onNoteChange(TileEntityNote te,
                             byte old)